import { ContentConfig } from "/@/components/PageContent";
import { createHttpRequset } from "../../../_http/createRequset";

const columns = [
  {
    prop: "addtime",
    label: "竞价时间",
    minWidth: "155px"
  },
  {
    prop: "salesman",
    label: "业务员",
    minWidth: "155px"
  },
  {
    prop: "name",
    label: "业务部门",
    minWidth: "155px"
  },
  {
    prop: "infoNo",
    label: "竞价单号",
    minWidth: "155px"
  },
  {
    prop: "first_customer_org",
    label: "一级组织",
    minWidth: "105px"
  },

  {
    prop: "second_customer_org",
    label: "二级组织",
    minWidth: "150px"
  },
  {
    prop: "companyName",
    label: "客户名称",
    minWidth: "105px"
  },
  {
    prop: "use_desc",
    label: "产品用途",
    minWidth: "115px"
  },
  {
    prop: "good_name",
    label: "产品名称",
    minWidth: "115px"
  },
  {
    prop: "brand_name",
    label: "品牌",
    minWidth: "155px"
  },
  {
    prop: "model",
    label: "型号",
    minWidth: "155px"
  },
  {
    prop: "spuCode",
    label: "产品编码",
    minWidth: "155px"
  },
  {
    prop: "first_cat_name",
    label: "一级分类",
    minWidth: "155px"
  },
  {
    prop: "sale_price",
    label: "单价",
    minWidth: "155px"
  },
  {
    prop: "budget_price",
    label: "预算单价",
    minWidth: "155px"
  },
  {
    prop: "unit",
    label: "单位",
    minWidth: "105px"
  },
  {
    prop: "num",
    label: "需求数量",
    minWidth: "155px"
  },
  {
    prop: "budget_total_price",
    label: "预算总价",
    minWidth: "155px"
  },
  {
    prop: "arrival_time",
    label: "要求到货时间",
    minWidth: "155px"
  },
  {
    prop: "is_addrs",
    label: "是否一地",
    minWidth: "155px"
  },
  {
    prop: "is_custom",
    label: "定制",
    minWidth: "105px"
  },
  {
    prop: "remark",
    label: "竞价备注",
    minWidth: "155px"
  },
  {
    prop: "status",
    label: "竞单状态",
    minWidth: "155px"
  },
  {
    prop: "bargain_code",
    label: "上次竞价单单号",
    minWidth: "155px"
  },
  {
    prop: "orderCode",
    label: "销售订单编号",
    minWidth: "155px"
  }
];

const contentConfig: ContentConfig = {
  notPagination: true,
  superUserNoAction: false,
  notNeedCompanyFilter: true,
  columns,
  apis: {
    httpList: createHttpRequset("saleexportconsultdetailed")
  }
};

export default contentConfig;
