import { FormConfig } from "/@/components/PageSearch";

const searchFormConfig: FormConfig = {
  formItems: [
    {
      field: "date",
      type: "date_picker",
      trigger: "change",
      otherOptions: {
        type: "daterange",
        startPlaceholder: "下单开始时间",
        endPlaceholder: "下单结束时间",
        valueFormat: "YYYY-MM-DD",
        startProp: "start_date",
        endProp: "end_date"
      }
    },
    {
      field: "arrive_time",
      type: "date_picker",
      trigger: "change",
      otherOptions: {
        type: "daterange",
        startPlaceholder: "承诺发货开始时间",
        endPlaceholder: "承诺发货结束时间",
        valueFormat: "YYYY-MM-DD",
        startProp: "start_arrive_date",
        endProp: "end_arrive_date"
      }
    }
  ]
};

export default searchFormConfig;
