import { ContentConfig } from "/@/components/PageContent";
import { createHttpRequset } from "../../../_http/createRequset";

const columns = [
  {
    prop: "total_num",
    label: "数量",
    minWidth: "155px"
  },
  {
    prop: "total_price",
    label: "金额",
    minWidth: "155px"
  },
  // {
  //   prop: 'relaComNo',
  //   label: '业务公司编码',
  //   minWidth: '155px'
  // },
  // {
  //   prop: 'relaComName',
  //   label: '业务公司名称',
  //   minWidth: '165px'
  // },
  {
    prop: "first_customer_org",
    label: "一级企业",
    minWidth: "110px"
  },
  {
    prop: "second_customer_org",
    label: "二级企业",
    minWidth: "100px"
  }, //   type: "selection",
  //   fixed: "left",
  //   _noset_: true
  // },
  {
    prop: "cat",
    label: "产品品类",
    minWidth: "155px"
  },
  {
    prop: "good_name",
    label: "产品名称",
    minWidth: "155px"
  }
];

const contentConfig: ContentConfig = {
  notPagination: true,
  superUserNoAction: false,
  notNeedCompanyFilter: true,
  columns,
  apis: {
    httpList: createHttpRequset("saleexportgoodrankinglist")
  }
};

export default contentConfig;
