import { FormConfig } from "/@/components/PageSearch";
import dayjs from "dayjs";

const searchFormConfig: FormConfig = {
  formItems: [
    {
      field: "date",
      type: "date_picker",
      trigger: "change",
      otherOptions: {
        type: "daterange",
        startPlaceholder: "下单开始时间",
        endPlaceholder: "下单结束时间",
        valueFormat: "YYYY-MM-DD",
        startProp: "start",
        endProp: "end"
      }
    },
    {
      field: "depart_id",
      type: "depart-query",
      trigger: "change"
    }
  ]
};

export default searchFormConfig;
