import { createHttpRequest } from "/@/views/time/_http";

const baseUrl = "purchease/purchase/";


export default {
  list: createHttpRequest(`${baseUrl}changeLogList`)
};


export const mapKey = {
  'spuCode': '商品成本编号',
  'good_code': '商品编码',
  'good_name': '商品名称',
  'cat_id': '分类',
  'brand_id': '品牌',
  'good_unit': '商品单位',
  'good_type': '',
  'companyNo': '业务企业',
  'moq': '起订量',
  'customized': '定制工期',
  'tax': '税点',
  'supplierNo': '供应商',
  'is_auth': '是否有销售权限',
  'is_stock': '是否库存品',
  'auth_img': '销售授权图片',
  'after_sales': '售后说明',
  'craft_desc': '工艺说明',
  'good_remark': '商品备注',
  'good_size': '商品尺寸',
  'weight': '商品重量',
  'packing_way': '包装方式',
  'packing_size': '装箱尺寸',
  'packing_spec': '装箱规格',
  'packing_list': '包装清单',
  'packing_weight': '装箱重量',
  'good_bar': '商品条形码',
  'supply_area': '供货区域',
  'delivery_place': '发货地',
  'origin_place': '产地',
  'delivery_day': '物流时间',
  'lead_time': '供货周期',
  'sample_day': '调样周期',
  'sample_fee': '调样费用',
  'good_img': '商品详情主图 ',
  'good_thumb_img': '商品缩略图',
  'good_info_img': '商品详情图',
  'cert_fee': '证书费',
  'packing_fee': '包装费',
  'cost_fee': '工艺费',
  'mark_fee': '加标费',
  'demo_fee': '打样费',
  'open_fee': '开模费',
  'noble_metal': '贵金属种类',
  'noble_weight': '贵金属重量',
  'is_gold_price': '是否使用实时金价',
  'cgd_gold_price': '供应商采购金价',
  'market_price': '市场价',
  'nake_price': '含税成本价',
  'is_step': '阶梯价是否启用',
  'is_online': '是否上线',
  'status': '状态',
  'createrid': '创建人id',
  'creater': '创建人',
  'is_del': '是否删除',
  'addtime': '创建时间',
  'updatetime': '修改时间',
  'is_exclusive': '是否专属类型',
  'is_diff': '是否有工差',
  'config': '配置',
  'other_config': '其他配置',
}
