/* eslint-disable prettier/prettier */
import { ContentConfig } from "/@/components/PageContent";
import apis from "./apis";

const columns = [
  {
    prop: 'addtime',
    label: '商品操作时间',
    minWidth: '155px'
  },
  {
    prop: 'company_name',
    label: '采购维护人所属部门',
    minWidth: '155px'
  },
  {
    prop: 'creater',
    label: '采购维护人',
    minWidth: '155px'
  },
  {
    prop: 'code',
    label: '商品成本编号',
    minWidth: '155px'
  },
  {
    prop: 'good_name',
    label: '商品名称',
    minWidth: '155px'
  },
  {
    prop: 'name',
    label: '供应商名称',
    minWidth: '155px'
  },
  {
    label: "变更",
    fixed: "right",
    width: 60,
    slot: "operation"
  }
]



const contentConfig: ContentConfig = {
  columns,
  showTitle: false,
  responseCode: 1,
  superUserNoAction: false,
  apis: { httpList: apis.list }
};


export default contentConfig;
