/* eslint-disable prettier/prettier */
import { ContentConfig } from "/@/components/PageContent";
import apis from "./apis";

const columns = [
  {
    prop: 'addtime',
    label: '采反日期',
    minWidth: '155px'
  },
  {
    prop: 'companyNo',
    label: '业务公司编码',
    minWidth: '155px'
  },
  {
    prop: 'companyName',
    label: '业务公司名称',
    minWidth: '165px'
  },
  {
    prop: 'name',
    label: '创建人部门',
    minWidth: '155px'
  },
  {
    prop: 'nickname',
    label: '采购员',
    minWidth: '155px'
  },
  {
    prop: 'total',
    label: '采反次数',
    minWidth: '155px'
  },
  {
    prop: 'num',
    label: '采反商品数量',
    minWidth: '155px'
  }
]


const contentConfig: ContentConfig = {
  columns,
  showTitle: false,
  responseCode: 1,
  superUserNoAction: false,
  apis: { httpList: apis.list }
};


export default contentConfig;
