/* eslint-disable prettier/prettier */
import { ContentConfig } from "/@/components/PageContent";
import apis from "./apis";

const columns = [
  // {
  //   prop: 'relaComNo',
  //   label: '业务公司编码',
  //   minWidth: '155px'
  // },
  // {
  //   prop: 'relaComName',
  //   label: '业务公司名称',
  //   minWidth: '165px'
  // },
  {
    prop: 'company_name',
    label: '采购维护人所属部门',
    minWidth: '155px'
  },
  {
    prop: 'creater',
    label: '采购维护人',
    minWidth: '125px'
  },
  {
    prop: 'skuCode',
    label: '商品上线编号',
    minWidth: '155px'
  },
  {
    prop: 'spuCode',
    label: '商品成本编号',
    minWidth: '155px'
  },
  {
    prop: 'good_name',
    label: '商品名称',
    minWidth: '155px'
  },
  {
    prop: 'brand_name',
    label: '品牌名称',
    minWidth: '155px'
  },
  {
    prop: 'good_model',
    label: '商品型号',
    minWidth: '155px'
  },
  {
    prop: 'name',
    label: '供应商名称',
    minWidth: '155px'
  },
  {
    prop: 'tax',
    label: '税点',
    minWidth: '105px'
  },
  {
    prop: 'nake_price',
    label: '成本价合计',
    minWidth: '115px'
  },
  {
    prop: 'online_time',
    label: '上线时间',
    minWidth: '155px'
  }
]


const contentConfig: ContentConfig = {
  columns,
  showTitle: false,
  responseCode: 1,
  superUserNoAction: false,
  apis: { httpList: apis.list }
};


export default contentConfig;
