import { FormConfig } from "/@/components/PageSearch";

const searchFormConfig: FormConfig = {
  formItems: [
    {
      field: "date",
      type: "date_picker",
      trigger: "change",
      otherOptions: {
        type: "daterange",
        startPlaceholder: "上线开始时间",
        endPlaceholder: "上线结束时间",
        valueFormat: "YYYY-MM-DD",
        startProp: "start",
        endProp: "end"
      }
    },
    {
      field: "depart_id",
      type: "depart-query",
      trigger: "change"
    },
    {
      field: "creater",
      type: "input",
      placeholder: '采购维护人',
      trigger: "change"
    },
    {
      field: "supplier_name",
      type: "input",
      placeholder: '供应商名称',
      trigger: "change"
    }
  ]
};

export default searchFormConfig;
