/* eslint-disable prettier/prettier */
import { ContentConfig } from "/@/components/PageContent";
import apis from "./apis";

const columns = [
  {
    prop: 'skuCode',
    label: '商品上线编号',
    minWidth: '155px'
  },
  {
    prop: 'spuCode',
    label: '商品成本编号',
    minWidth: '155px'
  },
  {
    prop: 'plat_code',
    label: '平台商品编码',
    minWidth: '155px'
  },
  {
    prop: 'companyNo',
    label: '业务公司编码',
    minWidth: '155px'
  },
  {
    prop: 'companyName',
    label: '业务公司名称',
    minWidth: '165px'
  },
  {
    prop: 'good_name',
    label: '商品名称',
    minWidth: '155px'
  },
  {
    prop: 'platform_name',
    label: '上线平台',
    minWidth: '155px'
  },
  {
    prop: 'online_time',
    label: '上线完成时间',
    minWidth: '145px'
  },
  {
    prop: 'moq',
    label: '起订量',
    minWidth: '110'
  },
  {
    prop: 'sale_price',
    label: '售价',
    minWidth: '110px'
  },
  {
    prop: 'cost_fee',
    label: '工艺费',
    minWidth: '110px'
  },

  {
    prop: 'market_price',
    label: '市场价',
    minWidth: '110px'
  },
  {
    prop: 'market_platform',
    label: '对比平台',
    minWidth: '110px'
  },
  {
    prop: 'addtime',
    label: '申请上线时间',
    minWidth: '145px'
  }
]


const contentConfig: ContentConfig = {
  columns,
  showTitle: false,
  responseCode: 1,
  superUserNoAction: false,
  apis: { httpList: apis.list }
};


export default contentConfig;
