/* eslint-disable prettier/prettier */
import { ContentConfig } from "/@/components/PageContent";
import apis from "./apis";

const columns = [
  {
    prop: 'cat',
    label: '产品品类',
    minWidth: '155px'
  },
  {
    prop: 'good_name',
    label: '产品名称',
    minWidth: '155px'
  },
  {
    prop: 'total_num',
    label: '数量',
    minWidth: '155px'
  },
  {
    prop: 'total_price',
    label: '金额',
    minWidth: '155px'
  },
  {
    prop: 'first_customer_org',
    label: '一级企业',
    minWidth: '110px'
  },
  {
    prop: 'second_customer_org',
    label: '二级企业',
    minWidth: '100px'
  }
]


const contentConfig: ContentConfig = {
  columns,
  showTitle: false,
  responseCode: 1,
  superUserNoAction: false,
  apis: { httpList: apis.list }
};


export default contentConfig;
