import { FormConfig } from "/@/components/PageSearch";

const departTypeOptions = [
  { value: "1", label: "客服部@百辰荣达" },
  // { value: "2", label: "新媒体" },
  { value: "3", label: "项目部@普润心堂" },
  { value: "4", label: "销售部" },
]

const searchFormConfig: FormConfig = {
  formItems: [
    {
      field: "date",
      type: "date_picker",
      trigger: "change",
      otherOptions: {
        type: "daterange",
        startPlaceholder: "开始时间",
        endPlaceholder: "结束时间",
        valueFormat: "YYYY-MM-DD",
        startProp: "start",
        endProp: "end"
      }
    },
    {
      field: "depart_type",
      trigger: "change",
      type: "select",
      options: departTypeOptions
    }
  ]
};

export default searchFormConfig;
