/* eslint-disable prettier/prettier */
import { ContentConfig } from "/@/components/PageContent";
import { httpList } from "/@/api/dataDashboardNew/bidOrder";

const columns = [
  {
    prop: 'creater',
    label: '创建人',
    minWidth: '155px'
  },
  {
    prop: 'creater_company',
    label: '创建人部门',
    minWidth: '155px'
  },
  {
    prop: 'addtime',
    label: '竞价时间',
    minWidth: '155px'
  },

  {
    prop: 'infoNo',
    label: '竞价单号',
    minWidth: '155px'
  },
  {
    prop: 'first_customer_org',
    label: '一级企业',
    minWidth: '155px'
  },
  {
    prop: 'second_customer_org',
    label: '二级企业',
    minWidth: '155px'
  },
  {
    prop: 'companyName',
    label: '客户名称',
    minWidth: '155px'
  },
  {
    prop: 'good_name',
    label: '产品名称',
    minWidth: '155px'
  },
  {
    prop: 'num',
    label: '数量',
    minWidth: '155px'
  },
  {
    prop: 'unit',
    label: '单位',
    minWidth: '155px'
  },
  {
    prop: 'budget_price',
    label: '单价',
    minWidth: '155px'
  },
  {
    prop: 'total_fee',
    label: '金额',
    minWidth: '155px'
  },

  {
    prop: 'is_bids',
    label: '是否采反',
    minWidth: '155px'
  },
  {
    prop: 'is_zhuandan',
    label: '订单转单',
    minWidth: '155px'
  }
]

const contentConfig: ContentConfig = {
  title: "",
  superUserNoAction: false,
  showTitle: true,
  columns,
  apis: {
    httpList
  }
};

export default contentConfig;
