import { FormConfig } from "/@/components/PageSearch";

const searchFormConfig: FormConfig = {
  formItems: [
    {
      field: "report_name",
      type: "input",
      placeholder: "模板名称"
    },
    {
      field: "report_type",
      type: "select",
      defaultValue: "2",
      otherOptions: {
        clearable: false
      },
      trigger: "change",
      options: [
        { value: "1", label: "部门报表" },
        { value: "2", label: "业务公司报表" }
      ]
    }
  ]
};

export default searchFormConfig;
