/* eslint-disable prettier/prettier */
import { ContentConfig } from "/@/components/PageContent";
import apis from "./apis";

const columns = [
  {
    prop: 'addtime',
    label: '竞价时间',
    minWidth: '155px'
  },
  {
    prop: 'companyNo',
    label: '业务公司编码',
    minWidth: '155px',
    _slot_: 'companyNo'
  },
  {
    prop: 'companyName',
    label: '业务公司名称',
    minWidth: '165px',
    _slot_: 'companyName'
  },
  {
    prop: 'name',
    label: '业务部门',
    minWidth: '155px'
  },
  {
    prop: 'total',
    label: '竞价数量',
    minWidth: '155px'
  }
]


const contentConfig: ContentConfig = {
  columns,
  showTitle: false,
  responseCode: 1,
  superUserNoAction: false,
  apis: { httpList: apis.list }
};


export default contentConfig;
